
package cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Message {


//    private List<MultiContent> content;

    private Object content;
    private String role;

    private List<FunctionCall> function_call;

    private String name;

//    public List<MultiContent> getContent() {
//        return content;
//    }
//
//    public void setContent(List<MultiContent> content) {
//        this.content = content;
//    }

    public Object getContent() {
        return content;
    }

    public void setContent(Object content) {
        this.content = content;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public List<FunctionCall> getFunction_call() {
        return function_call;
    }

    public void setFunction_call(List<FunctionCall> function_call) {
        this.function_call = function_call;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Message{" +
                "content=" + content +
                ", role='" + role + '\'' +
                ", function_call=" + function_call +
                ", name='" + name + '\'' +
                '}';
    }
}
